using System;
using Microsoft.Owin;
using Owin;
using C1.Web.Api.Storage;
using CustomReportProvider.Models;
using System.IO;

[assembly: OwinStartupAttribute(typeof(CustomReportProvider.Startup))]
namespace CustomReportProvider
{
    public partial class Startup
    {
        public void Configuration(IAppBuilder app)
        {
            
            app.UseReportProviders()
.AddFlexReportDiskStorage("ReportsRoot", GetFullRoot("ReportsRoot"));
            app.UseReportProviders().Add("memoryreports", new MemoryReportsProvider());
            app.UseReportProviders().Add("groupreports", new GroupReportsProvider());
        }

        private static string GetFullRoot(string root)
        {
            var applicationBase = AppDomain.CurrentDomain.SetupInformation.ApplicationBase;
            var fullRoot = Path.GetFullPath(Path.Combine(applicationBase, root));
            if (!fullRoot.EndsWith(Path.DirectorySeparatorChar.ToString(), StringComparison.Ordinal))
            {
                fullRoot += Path.DirectorySeparatorChar;
            }
            return fullRoot;
        }


    }
}
